Subject: Problem 4 of RE: [Sip] Proposed plan for Network-Asserted ID/Priv acy

From: "Mark Watson"<[email-masked]>
Date: Fri, 19 Apr 2002 16:50:59 +0100

Rohan suggested a separate thread for...

> > 4.  Allow for a user-provided "hint" for Network-Asserted ID
<snip>
> >
> > Finally, we have problem 4.  Some folks have proposed that
> > UAs should provide a hint using the same mechanism used to
> > communicate network asserted identity among trusted entities.
> 
> > Others propose that authentication servers that create a
> 
> > network asserted identity accept multiple "usernames" during
> 
> > authentication and use this as the hint.  AFAIK these are the
> > only two choices, and we can come up with an answer to this
> > question in a separate thread.  The answer does not fundamentally
> > change any of the mechanisms we select to solve the other problems.
> 
> Well it certainly impacts it. If you go with the first 
> solution then you also
> accept that Remote-Party-Id can be provided by an untrusted 
> entity, so I don't
> think we can solve these independently.

I diagree. Solve the other problems first. Then we have three choices:
1) Use the same header for the 'hints'
2) Define another header for the 'hints'
3) Assume the 'hint' in in the authentication 'username'

If you choose (1), then you may need something extra in that header to
distinguish between the two use-cases.

...Mark

---

From: [email-masked]
Date: Fri, 19 Apr 2002 19:51:14 +0300

> 3) Assume the 'hint' in in the authentication 'username'

(3) doesn't work.  my username is [email-masked], but my from uri that i
want to use, can be, for example, tel+358441234567.

today i'm using the from uri as the hint, which works fine if the user
is not requesting anonymity.  if the user is requesting anonymity and
the call goes to another sip user, then either a b2bua or a new "hint"
header, such as really-from, is needed.

-- juha

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip